# List Permission Levels

Launch stage: GA

`GET /api/2.0/permissions/{request_object_type}/{request_object_id}/permissionLevels`

Gets the permission levels that a user can have on an object.

API scopes: access-management

## Path parameters

- `request_object_type` (string, optional)
  The type of the request object. Can be one of the following: alerts, alertsv2, authorization, clusters, cluster-policies, dashboards, database-projects, dbsql-dashboards, directories, experiments, files, genie, instance-pools, jobs, knowledge-assistants, notebooks, pipelines, queries, registered-models, repos, serving-endpoints, supervisor-agents, vector-search-endpoints, or warehouses.
- `request_object_id` (string, optional)

## Returns

- `permission_levels` (array of object, optional)
  Specific permission levels
  - `permission_level` (string, optional)
    Possible values: `CAN_MANAGE`, `CAN_RESTART`, `CAN_ATTACH_TO`, `IS_OWNER`, `CAN_MANAGE_RUN`, `CAN_VIEW`, `CAN_READ`, `CAN_RUN`, `CAN_EDIT`, `CAN_USE`, `CAN_MANAGE_STAGING_VERSIONS`, `CAN_MANAGE_PRODUCTION_VERSIONS`, `CAN_EDIT_METADATA`, `CAN_VIEW_METADATA`, `CAN_BIND`, `CAN_QUERY`, `CAN_MONITOR`, `CAN_CREATE`
  - `description` (string, optional)

## Response

```json
{
  "permission_levels": [
    {
      "permission_level": "string",
      "description": "string"
    }
  ]
}
```

